/**
 * Build with ZMake tool
 */

try {
	(() => {
		var __$$app$$__ = __$$hmAppManager$$__.currentApp;
		var __$$module$$__ = __$$app$$__.current;
		var h = new DeviceRuntimeCore.WidgetFactory(
			new DeviceRuntimeCore.HmDomApi(__$$app$$__, __$$module$$__),
			"drink"
		);
		("use strict");
		console.log("----->>>current");
		console.log(__$$hmAppManager$$__.currentApp.pid);
		console.log(__$$hmAppManager$$__.currentApp.current);

		const jstime = hmSensor.createSensor(hmSensor.id.TIME)
		const weather = hmSensor.createSensor(hmSensor.id.WEATHER)
	
		let timeHourTensFontArray, timeHourOnesFontArray, timeMinutesTensFontArray, timeMinutesOnesFontArray
		let timeHourTens, timeHourOnes, timeMinutesTens, timeMinutesOnes
		let weatherWidget
			
		function setImgNumber(widget, fontArray, number) {
			widget.setProperty(hmUI.prop.SRC, fontArray[number]);
		}

		function updateTime() {
			setImgNumber(timeHourTens, timeHourTensFontArray, parseInt(jstime.format_hour / 10));
			setImgNumber(timeHourOnes, timeHourOnesFontArray, parseInt(jstime.format_hour % 10));
			setImgNumber(timeMinutesTens, timeMinutesTensFontArray, parseInt(jstime.minute / 10));
			setImgNumber(timeMinutesOnes, timeMinutesOnesFontArray, parseInt(jstime.minute % 10));
		}

		function updateWeather() {
			const forecastData = weather.getForecastWeather().forecastData
			if (forecastData.count) {
				const element = forecastData.data[0]
				weatherWidget.setProperty(hmUI.prop.TEXT, element.high + "u." + element.low + "u");
			}
		}
	
		const logger = DeviceRuntimeCore.HmLogger.getLogger("sanjiao");
		__$$module$$__.module = DeviceRuntimeCore.Page({
			init_view() {
				//背景画像
				hmUI.createWidget(
					hmUI.widget.IMG,
					{
						x: 0,
						y: 0,
						src: 'images/base.png',
						show_level: hmUI.show_level.ONLY_NORMAL
					}
				);

				//時計の「:」のやつ(名前わからん)
				hmUI.createWidget(
					hmUI.widget.IMG_ANIM,
					{
						x: 82,
						y: 71,
						anim_path: 'images/clock',
						anim_prefix: 'clock_split',
						anim_ext: 'png',
						anim_fps: 2,
						anim_size: 2,
						repeat_count: 10,
						anim_repeat: true,
						anim_status: hmUI.anim_status.START,
						show_level: hmUI.show_level.ONLY_NORMAL
					}
				);

				//シャミ子
				hmUI.createWidget(
					hmUI.widget.IMG_ANIM,
					{
						x: 0,
						y: 187,
						anim_path: 'images/shamiko',
						anim_prefix: 'shamiko',
						anim_ext: 'png',
						anim_fps: 10,
						anim_size: 12,
						repeat_count: 10,
						anim_repeat: true,
						anim_status: hmUI.anim_status.START,
						show_level: hmUI.show_level.ONLY_NORMAL
					}
				);

				timeHourTensFontArray = [
					'images/Font/time/0.png',
					'images/Font/time/1.png',
					'images/Font/time/2.png',
					'images/Font/time/3.png',
					'images/Font/time/4.png',
					'images/Font/time/5.png',
					'images/Font/time/6.png',
					'images/Font/time/7.png',
					'images/Font/time/8.png',
					'images/Font/time/9.png'
				];

				timeHourOnesFontArray = [
					'images/Font/time/0.png',
					'images/Font/time/1.png',
					'images/Font/time/2.png',
					'images/Font/time/3.png',
					'images/Font/time/4.png',
					'images/Font/time/5.png',
					'images/Font/time/6.png',
					'images/Font/time/7.png',
					'images/Font/time/8.png',
					'images/Font/time/9.png'
				];

				timeMinutesTensFontArray = [
					'images/Font/time/0.png',
					'images/Font/time/1.png',
					'images/Font/time/2.png',
					'images/Font/time/3.png',
					'images/Font/time/4.png',
					'images/Font/time/5.png',
					'images/Font/time/6.png',
					'images/Font/time/7.png',
					'images/Font/time/8.png',
					'images/Font/time/9.png'
				];
				timeMinutesOnesFontArray = [
					'images/Font/time/0.png',
					'images/Font/time/1.png',
					'images/Font/time/2.png',
					'images/Font/time/3.png',
					'images/Font/time/4.png',
					'images/Font/time/5.png',
					'images/Font/time/6.png',
					'images/Font/time/7.png',
					'images/Font/time/8.png',
					'images/Font/time/9.png'
				];

				timeHourTens = hmUI.createWidget(
					hmUI.widget.IMG,
					{
						x: 29,
						y: 71,
						src: 'images/Font/time/0.png',
						show_level: hmUI.show_level.ONLY_NORMAL
					}
				);

				timeHourOnes = hmUI.createWidget(
					hmUI.widget.IMG,
					{
						x: 57,
						y: 71,
						src: 'images/Font/time/0.png',
						show_level: hmUI.show_level.ONLY_NORMAL
					}
				);

				timeMinutesTens = hmUI.createWidget(
					hmUI.widget.IMG,
					{
						x: 109,
						y: 71,
						src: 'images/Font/time/0.png',
						show_level: hmUI.show_level.ONLY_NORMAL
					}
				);

				timeMinutesOnes = hmUI.createWidget(
					hmUI.widget.IMG,
					{
						x: 137,
						y: 71,
						src: 'images/Font/time/0.png',
						show_level: hmUI.show_level.ONLY_NORMAL
					}
				);

				hmUI.createWidget(
					hmUI.widget.TEXT_IMG,
					{
						x: 20,
						y: 149,
						h_space: 2,
						font_array: [
							'images/Font/step/0.png',
							'images/Font/step/1.png',
							'images/Font/step/2.png',
							'images/Font/step/3.png',
							'images/Font/step/4.png',
							'images/Font/step/5.png',
							'images/Font/step/6.png',
							'images/Font/step/7.png',
							'images/Font/step/8.png',
							'images/Font/step/9.png'
						],
						align_h: hmUI.align.CENTER_H,
						type: hmUI.data_type.STEP,
						w: 152,
						show_level: hmUI.show_level.ONLY_NORMAL
					}
				);

				hmUI.createWidget(
					hmUI.widget.TEXT_IMG,
					{
						x: 24,
						y: 52,
						h_space: 0,
						font_array: [
							'images/Font/Date/0.png',
							'images/Font/Date/1.png',
							'images/Font/Date/2.png',
							'images/Font/Date/3.png',
							'images/Font/Date/4.png',
							'images/Font/Date/5.png',
							'images/Font/Date/6.png',
							'images/Font/Date/7.png',
							'images/Font/Date/8.png',
							'images/Font/Date/9.png'
						],
						align_h: hmUI.align.CENTER_H,
						type: hmUI.data_type.HEART,
						w: 148,
						show_level: hmUI.show_level.ONLY_NORMAL
					}
				);

				hmUI.createWidget(
					hmUI.widget.IMG_DATE,
					{
						month_startX: 45,
						month_startY: 118,
						month_align: hmUI.align.CENTER_H,
						month_space: 1,
						month_zero: true,
						month_unit_en:'images/Font/Date/split.png',
						month_unit_sc:'images/Font/Date/split.png',
						month_unit_tc:'images/Font/Date/split.png',
						month_en_array: [
							'images/Font/Date/0.png',
							'images/Font/Date/1.png',
							'images/Font/Date/2.png',
							'images/Font/Date/3.png',
							'images/Font/Date/4.png',
							'images/Font/Date/5.png',
							'images/Font/Date/6.png',
							'images/Font/Date/7.png',
							'images/Font/Date/8.png',
							'images/Font/Date/9.png'
						],
						month_sc_array: [
							'images/Font/Date/0.png',
							'images/Font/Date/1.png',
							'images/Font/Date/2.png',
							'images/Font/Date/3.png',
							'images/Font/Date/4.png',
							'images/Font/Date/5.png',
							'images/Font/Date/6.png',
							'images/Font/Date/7.png',
							'images/Font/Date/8.png',
							'images/Font/Date/9.png'
						],
						month_tc_array: [
							'images/Font/Date/0.png',
							'images/Font/Date/1.png',
							'images/Font/Date/2.png',
							'images/Font/Date/3.png',
							'images/Font/Date/4.png',
							'images/Font/Date/5.png',
							'images/Font/Date/6.png',
							'images/Font/Date/7.png',
							'images/Font/Date/8.png',
							'images/Font/Date/9.png'
						],
						day_follow: true,
						day_align: hmUI.align.CENTER_H,
						day_space: 1,
						day_zero: true,
						day_en_array: [
							'images/Font/Date/0.png',
							'images/Font/Date/1.png',
							'images/Font/Date/2.png',
							'images/Font/Date/3.png',
							'images/Font/Date/4.png',
							'images/Font/Date/5.png',
							'images/Font/Date/6.png',
							'images/Font/Date/7.png',
							'images/Font/Date/8.png',
							'images/Font/Date/9.png'
						],
						day_sc_array: [
							'images/Font/Date/0.png',
							'images/Font/Date/1.png',
							'images/Font/Date/2.png',
							'images/Font/Date/3.png',
							'images/Font/Date/4.png',
							'images/Font/Date/5.png',
							'images/Font/Date/6.png',
							'images/Font/Date/7.png',
							'images/Font/Date/8.png',
							'images/Font/Date/9.png'
						],
						day_tc_array: [
							'images/Font/Date/0.png',
							'images/Font/Date/1.png',
							'images/Font/Date/2.png',
							'images/Font/Date/3.png',
							'images/Font/Date/4.png',
							'images/Font/Date/5.png',
							'images/Font/Date/6.png',
							'images/Font/Date/7.png',
							'images/Font/Date/8.png',
							'images/Font/Date/9.png'
						],
						show_level: hmUI.show_level.ONLY_NORMAL
					}
				);

				hmUI.createWidget(
					hmUI.widget.IMG_WEEK,
					{
						x:120,
						y:118,
						week_en:[
							'images/week/mon.png',
							'images/week/tue.png',
							'images/week/wed.png',
							'images/week/thu.png',
							'images/week/fri.png',
							'images/week/sat.png',
							'images/week/sun.png'
						],
						week_sc:[
							'images/week/mon.png',
							'images/week/tue.png',
							'images/week/wed.png',
							'images/week/thu.png',
							'images/week/fri.png',
							'images/week/sat.png',
							'images/week/sun.png'
						],
						week_tc:[
							'images/week/mon.png',
							'images/week/tue.png',
							'images/week/wed.png',
							'images/week/thu.png',
							'images/week/fri.png',
							'images/week/sat.png',
							'images/week/sun.png'
						],
						show_level: hmUI.show_level.ONLY_NORMAL
					}
				);

				//取り込み中
				hmUI.createWidget(
					hmUI.widget.IMG_STATUS,
					{
						x:74,
						y:32,
						src: 'images/status/disturb.png',
						type:hmUI.system_status.DISTURB,
						show_level:hmUI.show_level.ONLY_NORMAL
					}
				);

				//ロック
				hmUI.createWidget(
					hmUI.widget.IMG_STATUS,
					{
						x:106,
						y:32,
						src: 'images/status/lock.png',
						type:hmUI.system_status.LOCK,
						show_level:hmUI.show_level.ONLY_NORMAL
					}
				);

				//切断済み時
				hmUI.createWidget(
					hmUI.widget.IMG_STATUS,
					{
						x:90,
						y:32,
						src: 'images/status/disconnected.png',
						type:hmUI.system_status.DISCONNECT,
						show_level:hmUI.show_level.ONLY_NORMAL
					}
				);
				
				//バッテリー残量(%)
				hmUI.createWidget(
					hmUI.widget.TEXT_IMG,
					{
						x: 20,
						y: 13,
						h_space: 0,
						font_array: [
							'images/battery/font/0.png',
							'images/battery/font/1.png',
							'images/battery/font/2.png',
							'images/battery/font/3.png',
							'images/battery/font/4.png',
							'images/battery/font/5.png',
							'images/battery/font/6.png',
							'images/battery/font/7.png',
							'images/battery/font/8.png',
							'images/battery/font/9.png'
						],
						align_h: hmUI.align.CENTER_H,
						type: hmUI.data_type.BATTERY,
						unit_en: 'images/battery/font/p.png',
						unit_sc: 'images/battery/font/p.png',
						unit_tc: 'images/battery/font/p.png',
						w: 122,
						show_level: hmUI.show_level.ONLY_NORMAL
					}
				);

				//バッテリー残量(ゲージ)
				hmUI.createWidget(
					hmUI.widget.IMG_LEVEL,
					{
						x:103,
						y:12,
						image_array:[
							'images/battery/gauge/1.png',
							'images/battery/gauge/2.png',
							'images/battery/gauge/3.png',
							'images/battery/gauge/4.png',
							'images/battery/gauge/5.png',
							'images/battery/gauge/6.png',
							'images/battery/gauge/7.png',
							'images/battery/gauge/8.png',
							'images/battery/gauge/9.png',
							'images/battery/gauge/10.png'
						],
						image_length:10,
						type:hmUI.data_type.BATTERY,
						show_level:hmUI.show_level.ONLY_NORMAL
					}
				);

				updateTime();

				hmUI.createWidget(
					hmUI.widget.WIDGET_DELEGATE,
					{
						resume_call: (function () {
							updateTime();
						})
					}
				)

				timer.createTimer(
					0,
					1000,
					(function (option) {
						updateTime();
					})
				)
			},
			onInit() {
				console.log("index page.js on init invoke");
				this.init_view();
			},

			onReady() {
				console.log("index page.js on ready invoke");
			},

			onShow() {
				console.log("index page.js on show invoke");
			},

			onHide() {
				console.log("index page.js on hide invoke");
			},

			onDestory() {
				console.log("index page.js on destory invoke");
			},
		});
		//end js
	})();
} catch (e) {
	console.log(e);
}